Bug 1285647 - Border width will be expanded when long value added in Environment Variables for project
Border width will be expanded when long value added in Environment Variables ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Steve Goodwin
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 02:35 EST by XiaochuanWang
Modified: 2016-05-12 13:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:15:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
long value added, box border and page border will be expanded (173.50 KB, image/png)
2015-11-26 02:42 EST, XiaochuanWang
no flags Details

  None (edit)
Description XiaochuanWang 2015-11-26 02:35:03 EST
Description of problem:
Added long value for "Environment Variables", border width for whole page will expand too long, (only reproduce with Firefox)

Version-Release number of selected component (if applicable):
Browser: Firefox latest, Firefox 38.2.1
OS: Rhel7
oc v1.1-213-gc8f5624
openshift v3.1.0.4-9-g72d3991
kubernetes v1.1.0-origin-1107-g4c8e6f4


How reproducible:
Always

Steps to Reproduce:
1. Add to Project for a project from web console
2. Select "nodejs:0.10", expand detail by "Show advanced build and deployment options"
3. Input "Environment Variables" for both "Build Configuration" and "Deployment Configuration": input keys, then input long value, like below and then click "add" button besides the variable box:
/openshift/aaa/bbb/ccc/ddd/eee/fff/ggg/hhh/iii/jjj/openshift/aaa/bbb/ccc/ddd/eee/fff/ggg/hhh/iii/jjj/openshift/aaa/bbb/ccc/ddd/eee/fff/ggg/hhh/iii/jjj/openshift/aaa/bbb/ccc/ddd/eee/fff/ggg/hhh/iii/jjj/openshift/aaa/bbb/ccc/ddd/eee/fff/ggg/hhh/iii/jjj
4. Check the width for the whole web page

Actual results:
Border width for whole page will be expanded.

Expected results:
Border width for whole page form should be fixed, not to expand the width.

Additional info:
Not reproduced on Safari, IE and Chrome
Comment 1 XiaochuanWang 2015-11-26 02:42 EST
Created attachment 1099154 [details]
long value added, box border and page border will be expanded
Comment 2 Steve Goodwin 2015-12-01 14:22:30 EST
Fix in pull request
https://github.com/openshift/origin/pull/6151
Comment 3 openshift-github-bot 2015-12-02 22:58:50 EST
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/800d4cc1805a4195ccf7219f1c2385ea3d81d052
Fix for Bug 1285647 and issue 6025
 - Border width will be expanded when long value added in Environment Variables for project
 - Route link on overview is truncated even at wide browser widths
Comment 4 XiaochuanWang 2015-12-06 22:31:39 EST
Not reproduced on origin:
openshift v1.1-354-g43aa4a4
oc v1.1-354-g43aa4a4

Bug is verified

Note You need to log in before you can comment on or make changes to this bug.